<!DOCTYPE html>
<html lang="" xml:lang="">
<head>

  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Chapter 6 (Generalized) Mixed Modelling | Brain Changes after Long-COVID</title>
  <meta name="description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  <meta name="generator" content="bookdown 0.33 and GitBook 2.6.7" />

  <meta property="og:title" content="Chapter 6 (Generalized) Mixed Modelling | Brain Changes after Long-COVID" />
  <meta property="og:type" content="book" />
  
  <meta property="og:description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  <meta name="github-repo" content="rstudio/bookdown-demo" />

  <meta name="twitter:card" content="summary" />
  <meta name="twitter:title" content="Chapter 6 (Generalized) Mixed Modelling | Brain Changes after Long-COVID" />
  
  <meta name="twitter:description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  

<meta name="author" content="Meent Mangels" />


<meta name="date" content="2023-05-01" />

  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-status-bar-style" content="black" />
  
  
<link rel="prev" href="symptom-clustering.html"/>
<link rel="next" href="simulating-and-fitting-models.html"/>
<script src="libs/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/fuse.js@6.4.6/dist/fuse.min.js"></script>
<link href="libs/gitbook-2.6.7/css/style.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-table.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-bookdown.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-highlight.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-search.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-fontsettings.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-clipboard.css" rel="stylesheet" />








<link href="libs/anchor-sections-1.1.0/anchor-sections.css" rel="stylesheet" />
<link href="libs/anchor-sections-1.1.0/anchor-sections-hash.css" rel="stylesheet" />
<script src="libs/anchor-sections-1.1.0/anchor-sections.js"></script>
<script src="libs/kePrint-0.0.1/kePrint.js"></script>
<link href="libs/lightable-0.0.1/lightable.css" rel="stylesheet" />


<style type="text/css">
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { color: #008000; } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { color: #008000; font-weight: bold; } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
</style>

<style type="text/css">
/* Used with Pandoc 2.11+ new --citeproc when CSL is used */
div.csl-bib-body { }
div.csl-entry {
  clear: both;
}
.hanging div.csl-entry {
  margin-left:2em;
  text-indent:-2em;
}
div.csl-left-margin {
  min-width:2em;
  float:left;
}
div.csl-right-inline {
  margin-left:2em;
  padding-left:1em;
}
div.csl-indent {
  margin-left: 2em;
}
</style>

<link rel="stylesheet" href="style.css" type="text/css" />
</head>

<body>



  <div class="book without-animation with-summary font-size-2 font-family-1" data-basepath=".">

    <div class="book-summary">
      <nav role="navigation">

<ul class="summary">
<li><a href="./">Demographics and Psychometrics</a></li>

<li class="divider"></li>
<li class="chapter" data-level="1" data-path="index.html"><a href="index.html"><i class="fa fa-check"></i><b>1</b> Workflow</a>
<ul>
<li class="chapter" data-level="1.1" data-path="index.html"><a href="index.html#installing-bookdown"><i class="fa fa-check"></i><b>1.1</b> Installing bookdown</a></li>
<li class="chapter" data-level="1.2" data-path="index.html"><a href="index.html#how-it-works"><i class="fa fa-check"></i><b>1.2</b> How it works</a></li>
<li class="chapter" data-level="1.3" data-path="index.html"><a href="index.html#packages"><i class="fa fa-check"></i><b>1.3</b> Packages</a></li>
</ul></li>
<li class="chapter" data-level="2" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html"><i class="fa fa-check"></i><b>2</b> Exploratory Analysis</a>
<ul>
<li class="chapter" data-level="2.1" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#load-data"><i class="fa fa-check"></i><b>2.1</b> Load Data</a></li>
<li class="chapter" data-level="2.2" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#summarise-data"><i class="fa fa-check"></i><b>2.2</b> Summarise Data</a>
<ul>
<li class="chapter" data-level="" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#lc-1"><i class="fa fa-check"></i>LC-1</a></li>
<li class="chapter" data-level="" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#lc-2"><i class="fa fa-check"></i>LC-2</a></li>
</ul></li>
<li class="chapter" data-level="2.3" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#visualisation"><i class="fa fa-check"></i><b>2.3</b> Visualisation</a></li>
</ul></li>
<li class="chapter" data-level="3" data-path="mst.html"><a href="mst.html"><i class="fa fa-check"></i><b>3</b> MST</a></li>
<li class="chapter" data-level="4" data-path="tmt.html"><a href="tmt.html"><i class="fa fa-check"></i><b>4</b> TMT</a></li>
<li class="chapter" data-level="5" data-path="symptom-clustering.html"><a href="symptom-clustering.html"><i class="fa fa-check"></i><b>5</b> Symptom Clustering</a>
<ul>
<li class="chapter" data-level="5.1" data-path="symptom-clustering.html"><a href="symptom-clustering.html#simulate-data"><i class="fa fa-check"></i><b>5.1</b> Simulate Data</a>
<ul>
<li class="chapter" data-level="5.1.1" data-path="symptom-clustering.html"><a href="symptom-clustering.html#using-simmulticorrdata"><i class="fa fa-check"></i><b>5.1.1</b> Using SimMultiCorrData</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#using-predefined-functions"><i class="fa fa-check"></i>Using predefined functions</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#statistical-rethinking"><i class="fa fa-check"></i>Statistical Rethinking</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#doing-it-from-scratch"><i class="fa fa-check"></i>Doing it from scratch</a></li>
</ul></li>
<li class="chapter" data-level="5.2" data-path="symptom-clustering.html"><a href="symptom-clustering.html#metoids-clustering-using-pam"><i class="fa fa-check"></i><b>5.2</b> Metoids Clustering using PAM</a></li>
<li class="chapter" data-level="5.3" data-path="symptom-clustering.html"><a href="symptom-clustering.html#latent-variable-mixture-modeling"><i class="fa fa-check"></i><b>5.3</b> Latent variable (mixture) modeling</a></li>
<li class="chapter" data-level="5.4" data-path="symptom-clustering.html"><a href="symptom-clustering.html#hdbscan"><i class="fa fa-check"></i><b>5.4</b> HDBSCAN</a></li>
</ul></li>
<li class="chapter" data-level="6" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html"><i class="fa fa-check"></i><b>6</b> (Generalized) Mixed Modelling</a>
<ul>
<li class="chapter" data-level="6.1" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html#causal-modelling"><i class="fa fa-check"></i><b>6.1</b> Causal Modelling</a>
<ul>
<li class="chapter" data-level="6.1.1" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html#intro-directed-acyclic-graphs"><i class="fa fa-check"></i><b>6.1.1</b> Intro directed acyclic graphs</a></li>
</ul></li>
</ul></li>
<li class="chapter" data-level="7" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html"><i class="fa fa-check"></i><b>7</b> Simulating and Fitting Models</a>
<ul>
<li class="chapter" data-level="7.1" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#the-basic-model"><i class="fa fa-check"></i><b>7.1</b> The Basic Model</a></li>
<li class="chapter" data-level="7.2" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#relation-between-subjective-and-objective-measures"><i class="fa fa-check"></i><b>7.2</b> relation between subjective and objective measures</a>
<ul>
<li class="chapter" data-level="" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#opaque-generative-model"><i class="fa fa-check"></i>Opaque generative model</a></li>
<li class="chapter" data-level="" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#explicit-generative-model"><i class="fa fa-check"></i>Explicit generative model</a></li>
</ul></li>
<li class="chapter" data-level="7.3" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#structural-brain-changes-and-cognitive-functions---and-how-to-include-age"><i class="fa fa-check"></i><b>7.3</b> Structural brain changes and cognitive functions - and how to include age</a></li>
</ul></li>
<li class="chapter" data-level="8" data-path="topological-analyses.html"><a href="topological-analyses.html"><i class="fa fa-check"></i><b>8</b> Topological Analyses</a></li>
<li class="chapter" data-level="" data-path="references.html"><a href="references.html"><i class="fa fa-check"></i>References</a></li>
<li class="chapter" data-level="9" data-path="about-bookdown.html"><a href="about-bookdown.html"><i class="fa fa-check"></i><b>9</b> About Bookdown</a>
<ul>
<li class="chapter" data-level="9.1" data-path="about-bookdown.html"><a href="about-bookdown.html#usage"><i class="fa fa-check"></i><b>9.1</b> Usage</a></li>
<li class="chapter" data-level="9.2" data-path="about-bookdown.html"><a href="about-bookdown.html#render-book"><i class="fa fa-check"></i><b>9.2</b> Render book</a></li>
<li class="chapter" data-level="9.3" data-path="about-bookdown.html"><a href="about-bookdown.html#preview-book"><i class="fa fa-check"></i><b>9.3</b> Preview book</a></li>
<li class="chapter" data-level="9.4" data-path="about-bookdown.html"><a href="about-bookdown.html#hello-bookdown"><i class="fa fa-check"></i><b>9.4</b> Hello bookdown</a></li>
<li class="chapter" data-level="9.5" data-path="about-bookdown.html"><a href="about-bookdown.html#a-section"><i class="fa fa-check"></i><b>9.5</b> A section</a>
<ul>
<li class="chapter" data-level="" data-path="about-bookdown.html"><a href="about-bookdown.html#an-unnumbered-section"><i class="fa fa-check"></i>An unnumbered section</a></li>
</ul></li>
<li class="chapter" data-level="9.6" data-path="about-bookdown.html"><a href="about-bookdown.html#cross"><i class="fa fa-check"></i><b>9.6</b> Cross-references</a>
<ul>
<li class="chapter" data-level="9.6.1" data-path="about-bookdown.html"><a href="about-bookdown.html#chapters-and-sub-chapters"><i class="fa fa-check"></i><b>9.6.1</b> Chapters and sub-chapters</a></li>
</ul></li>
<li class="chapter" data-level="9.7" data-path="about-bookdown.html"><a href="about-bookdown.html#captioned-figures-and-tables"><i class="fa fa-check"></i><b>9.7</b> Captioned figures and tables</a></li>
<li class="chapter" data-level="9.8" data-path="about-bookdown.html"><a href="about-bookdown.html#parts"><i class="fa fa-check"></i><b>9.8</b> Parts</a></li>
<li class="chapter" data-level="9.9" data-path="about-bookdown.html"><a href="about-bookdown.html#footnotes-and-citations"><i class="fa fa-check"></i><b>9.9</b> Footnotes and citations</a>
<ul>
<li class="chapter" data-level="9.9.1" data-path="about-bookdown.html"><a href="about-bookdown.html#footnotes"><i class="fa fa-check"></i><b>9.9.1</b> Footnotes</a></li>
<li class="chapter" data-level="9.9.2" data-path="about-bookdown.html"><a href="about-bookdown.html#citations"><i class="fa fa-check"></i><b>9.9.2</b> Citations</a></li>
</ul></li>
<li class="chapter" data-level="9.10" data-path="about-bookdown.html"><a href="about-bookdown.html#equations"><i class="fa fa-check"></i><b>9.10</b> Equations</a>
<ul>
<li class="chapter" data-level="9.10.1" data-path="about-bookdown.html"><a href="about-bookdown.html#theorems-and-proofs"><i class="fa fa-check"></i><b>9.10.1</b> Theorems and proofs</a></li>
<li class="chapter" data-level="9.10.2" data-path="about-bookdown.html"><a href="about-bookdown.html#callout-blocks"><i class="fa fa-check"></i><b>9.10.2</b> Callout blocks</a></li>
</ul></li>
<li class="chapter" data-level="9.11" data-path="about-bookdown.html"><a href="about-bookdown.html#sharing-your-book"><i class="fa fa-check"></i><b>9.11</b> Sharing your book</a>
<ul>
<li class="chapter" data-level="9.11.1" data-path="about-bookdown.html"><a href="about-bookdown.html#publishing"><i class="fa fa-check"></i><b>9.11.1</b> Publishing</a></li>
<li class="chapter" data-level="9.11.2" data-path="about-bookdown.html"><a href="about-bookdown.html#pages"><i class="fa fa-check"></i><b>9.11.2</b> 404 pages</a></li>
<li class="chapter" data-level="9.11.3" data-path="about-bookdown.html"><a href="about-bookdown.html#metadata-for-sharing"><i class="fa fa-check"></i><b>9.11.3</b> Metadata for sharing</a></li>
</ul></li>
</ul></li>
<li class="divider"></li>
<li><a href="https://github.com/rstudio/bookdown" target="blank">Published with bookdown</a></li>

</ul>

      </nav>
    </div>

    <div class="book-body">
      <div class="body-inner">
        <div class="book-header" role="navigation">
          <h1>
            <i class="fa fa-circle-o-notch fa-spin"></i><a href="./">Brain Changes after Long-COVID</a>
          </h1>
        </div>

        <div class="page-wrapper" tabindex="-1" role="main">
          <div class="page-inner">

            <section class="normal" id="section-">
<div id="generalized-mixed-modelling" class="section level1 hasAnchor" number="6">
<h1><span class="header-section-number">Chapter 6</span> (Generalized) Mixed Modelling<a href="generalized-mixed-modelling.html#generalized-mixed-modelling" class="anchor-section" aria-label="Anchor link to header"></a></h1>
<div id="causal-modelling" class="section level2 hasAnchor" number="6.1">
<h2><span class="header-section-number">6.1</span> Causal Modelling<a href="generalized-mixed-modelling.html#causal-modelling" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>Before investigating any potential influences e.g. by regressions, we would like to explore potential causal relationships by having a look at directed acyclic graphs (DAGs) using the R package dagitty (Ref).</p>
<div id="intro-directed-acyclic-graphs" class="section level3 hasAnchor" number="6.1.1">
<h3><span class="header-section-number">6.1.1</span> Intro directed acyclic graphs<a href="generalized-mixed-modelling.html#intro-directed-acyclic-graphs" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>However complicated a DAG may appear, there are only four types of variable relations that combine to form all possible paths within a DAG, the four elemental confounds. To investigate a potential causal link between X (the potential cause of interest) and Y (the outcome) we want to shut all backdoors, that is: we want to control for confounders, but we want to control for the right ones. Selecting the wrong one can potentially open paths between variables with no actual causal links between them (collider bias) or change the effect the cause of interest’s effect on the outcome (e.g. multicollinearity). Here is how we can figure out which variable to include or exclude given some DAG:</p>
<ol style="list-style-type: decimal">
<li>List all paths connecting X (the potential cause) and Y (the outcome).</li>
<li>Classify each path by whether it is open or closed. A path is open unless it contains a collider.</li>
<li>Classify each path by whether it is a backdoor path. A backdoor path has an arrow entering X.</li>
<li>If there is any open backdoor paths, decide which variable(s) to condition on to close it (if possible).</li>
</ol>
<p>(But see also Blom et al. 2018 for dynamical systems (that is, systems for which you have differential equ.))</p>
<div class="sourceCode" id="cb39"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb39-1"><a href="generalized-mixed-modelling.html#cb39-1" aria-hidden="true" tabindex="-1"></a><span class="co">#TODO: change coordinates for better visualisation</span></span>
<span id="cb39-2"><a href="generalized-mixed-modelling.html#cb39-2" aria-hidden="true" tabindex="-1"></a><span class="co"># The Fork</span></span>
<span id="cb39-3"><a href="generalized-mixed-modelling.html#cb39-3" aria-hidden="true" tabindex="-1"></a>fork_dag <span class="ot">&lt;-</span> <span class="fu">dagitty</span>(<span class="st">&quot;dag {</span></span>
<span id="cb39-4"><a href="generalized-mixed-modelling.html#cb39-4" aria-hidden="true" tabindex="-1"></a><span class="st">                  X &lt;- U -&gt; Y}&quot;</span>)</span>
<span id="cb39-5"><a href="generalized-mixed-modelling.html#cb39-5" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb39-6"><a href="generalized-mixed-modelling.html#cb39-6" aria-hidden="true" tabindex="-1"></a><span class="fu">ggdag</span>(fork_dag)</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/DAG:%20elemental%20confounds-1.png" width="672" /></p>
<div class="sourceCode" id="cb40"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb40-1"><a href="generalized-mixed-modelling.html#cb40-1" aria-hidden="true" tabindex="-1"></a><span class="co"># The Pipe</span></span>
<span id="cb40-2"><a href="generalized-mixed-modelling.html#cb40-2" aria-hidden="true" tabindex="-1"></a>pipe_dag <span class="ot">&lt;-</span> <span class="fu">dagitty</span>(<span class="st">&quot;dag {</span></span>
<span id="cb40-3"><a href="generalized-mixed-modelling.html#cb40-3" aria-hidden="true" tabindex="-1"></a><span class="st">                  X-&gt; Z -&gt; Y}&quot;</span>)</span>
<span id="cb40-4"><a href="generalized-mixed-modelling.html#cb40-4" aria-hidden="true" tabindex="-1"></a><span class="fu">ggdag</span>(pipe_dag)</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/DAG:%20elemental%20confounds-2.png" width="672" /></p>
<div class="sourceCode" id="cb41"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb41-1"><a href="generalized-mixed-modelling.html#cb41-1" aria-hidden="true" tabindex="-1"></a><span class="co"># The Collider</span></span>
<span id="cb41-2"><a href="generalized-mixed-modelling.html#cb41-2" aria-hidden="true" tabindex="-1"></a>collider_dag <span class="ot">&lt;-</span> <span class="fu">dagitty</span>(<span class="st">&quot;dag {</span></span>
<span id="cb41-3"><a href="generalized-mixed-modelling.html#cb41-3" aria-hidden="true" tabindex="-1"></a><span class="st">                  X -&gt; U &lt;- Y}&quot;</span>)</span>
<span id="cb41-4"><a href="generalized-mixed-modelling.html#cb41-4" aria-hidden="true" tabindex="-1"></a><span class="fu">ggdag</span>(collider_dag)</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/DAG:%20elemental%20confounds-3.png" width="672" /></p>
<div class="sourceCode" id="cb42"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb42-1"><a href="generalized-mixed-modelling.html#cb42-1" aria-hidden="true" tabindex="-1"></a><span class="co"># The Descendant</span></span>
<span id="cb42-2"><a href="generalized-mixed-modelling.html#cb42-2" aria-hidden="true" tabindex="-1"></a>descendant_dag <span class="ot">&lt;-</span> <span class="fu">dagitty</span>(<span class="st">&quot;dag {</span></span>
<span id="cb42-3"><a href="generalized-mixed-modelling.html#cb42-3" aria-hidden="true" tabindex="-1"></a><span class="st">                  X -&gt; Z &lt;- Y</span></span>
<span id="cb42-4"><a href="generalized-mixed-modelling.html#cb42-4" aria-hidden="true" tabindex="-1"></a><span class="st">                  Z -&gt; D}&quot;</span>)</span>
<span id="cb42-5"><a href="generalized-mixed-modelling.html#cb42-5" aria-hidden="true" tabindex="-1"></a><span class="fu">ggdag</span>(descendant_dag)</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/DAG:%20elemental%20confounds-4.png" width="672" /></p>
<div id="sanity-checks" class="section level4 hasAnchor" number="6.1.1.1">
<h4><span class="header-section-number">6.1.1.1</span> Sanity checks<a href="generalized-mixed-modelling.html#sanity-checks" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>You can’t check whether a DAG is correct, but what you can check is whether certain assumptions hold true, e.g. conditional independencies.</p>
</div>
<div id="some-simple-bayesian-multiple-regression-examples" class="section level4 hasAnchor" number="6.1.1.2">
<h4><span class="header-section-number">6.1.1.2</span> Some simple bayesian multiple regression examples<a href="generalized-mixed-modelling.html#some-simple-bayesian-multiple-regression-examples" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>In case needed I could add examples for Multicollinearity, Post-Treatment-Bias and Collider Bias.</p>
</div>
<div id="instrumental-variable" class="section level4 hasAnchor" number="6.1.1.3">
<h4><span class="header-section-number">6.1.1.3</span> Instrumental Variable<a href="generalized-mixed-modelling.html#instrumental-variable" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>In causal terms an instrumental variable is a variable that acts like a natural experiment on the exposure E.
Given the following dag:</p>
<p>An instrumental variable Q satisfies following criteria:</p>
<ol style="list-style-type: decimal">
<li>Independent of U</li>
<li>Not independent of E</li>
<li>Q cannot influence W except through E (exclusion restriction)</li>
</ol>
<p>We will have a look at an example from chapter 14, statistical rethinking.
In this example, we have the following DAG:</p>
<div class="sourceCode" id="cb43"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb43-1"><a href="generalized-mixed-modelling.html#cb43-1" aria-hidden="true" tabindex="-1"></a>sim_data <span class="ot">&lt;-</span> <span class="fu">tibble</span>(<span class="at">x =</span> <span class="fu">rep</span>(<span class="dv">1</span>,<span class="dv">100</span>), <span class="at">y =</span> <span class="fu">rep</span>(<span class="dv">1</span>,<span class="dv">100</span>), <span class="at">z =</span> <span class="fu">rep</span>(<span class="dv">1</span>, <span class="dv">100</span>))</span>
<span id="cb43-2"><a href="generalized-mixed-modelling.html#cb43-2" aria-hidden="true" tabindex="-1"></a>edu_dag <span class="ot">&lt;-</span> <span class="fu">dagitty</span>(<span class="st">&quot;dag {</span></span>
<span id="cb43-3"><a href="generalized-mixed-modelling.html#cb43-3" aria-hidden="true" tabindex="-1"></a><span class="st">                   Q -&gt; E;</span></span>
<span id="cb43-4"><a href="generalized-mixed-modelling.html#cb43-4" aria-hidden="true" tabindex="-1"></a><span class="st">                   E -&gt; W;</span></span>
<span id="cb43-5"><a href="generalized-mixed-modelling.html#cb43-5" aria-hidden="true" tabindex="-1"></a><span class="st">                  E &lt;- U -&gt; W}&quot;</span>)</span>
<span id="cb43-6"><a href="generalized-mixed-modelling.html#cb43-6" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb43-7"><a href="generalized-mixed-modelling.html#cb43-7" aria-hidden="true" tabindex="-1"></a><span class="fu">ggdag</span>(edu_dag)</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/unnamed-chunk-25-1.png" width="672" /></p>
<div class="sourceCode" id="cb44"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb44-1"><a href="generalized-mixed-modelling.html#cb44-1" aria-hidden="true" tabindex="-1"></a><span class="co">#tidy_dagitty(edu_dag)</span></span></code></pre></div>
<p>We use the ggdag package to have visualizations and data-handling more similar to tidyverse.</p>
<div class="sourceCode" id="cb45"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb45-1"><a href="generalized-mixed-modelling.html#cb45-1" aria-hidden="true" tabindex="-1"></a><span class="co"># First, we simulate a dataset</span></span>
<span id="cb45-2"><a href="generalized-mixed-modelling.html#cb45-2" aria-hidden="true" tabindex="-1"></a><span class="fu">set.seed</span>(<span class="dv">73</span>)</span>
<span id="cb45-3"><a href="generalized-mixed-modelling.html#cb45-3" aria-hidden="true" tabindex="-1"></a>N <span class="ot">&lt;-</span> <span class="dv">500</span></span>
<span id="cb45-4"><a href="generalized-mixed-modelling.html#cb45-4" aria-hidden="true" tabindex="-1"></a>U_sim <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N)</span>
<span id="cb45-5"><a href="generalized-mixed-modelling.html#cb45-5" aria-hidden="true" tabindex="-1"></a>Q_sim <span class="ot">&lt;-</span> <span class="fu">sample</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">4</span>, <span class="at">size =</span> N, <span class="at">replace =</span> <span class="cn">TRUE</span>)</span>
<span id="cb45-6"><a href="generalized-mixed-modelling.html#cb45-6" aria-hidden="true" tabindex="-1"></a>E_sim <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N, U_sim <span class="sc">+</span> Q_sim)</span>
<span id="cb45-7"><a href="generalized-mixed-modelling.html#cb45-7" aria-hidden="true" tabindex="-1"></a>W_sim <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N, U_sim <span class="sc">+</span> <span class="dv">0</span> <span class="sc">*</span> E_sim)</span>
<span id="cb45-8"><a href="generalized-mixed-modelling.html#cb45-8" aria-hidden="true" tabindex="-1"></a>dat_sim <span class="ot">&lt;-</span> <span class="fu">list</span>(<span class="at">W =</span> <span class="fu">standardize</span>(W_sim),</span>
<span id="cb45-9"><a href="generalized-mixed-modelling.html#cb45-9" aria-hidden="true" tabindex="-1"></a>                <span class="at">E =</span> <span class="fu">standardize</span>(E_sim),</span>
<span id="cb45-10"><a href="generalized-mixed-modelling.html#cb45-10" aria-hidden="true" tabindex="-1"></a>                <span class="at">Q =</span> <span class="fu">standardize</span>(Q_sim))</span></code></pre></div>
<p>To investigate various strategies’ (how to handle an instrumental variable) effect on the causal link / the regression, have a look at the following three models:</p>
<div class="sourceCode" id="cb46"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb46-1"><a href="generalized-mixed-modelling.html#cb46-1" aria-hidden="true" tabindex="-1"></a><span class="co"># confound, in this case positively inflated</span></span>
<span id="cb46-2"><a href="generalized-mixed-modelling.html#cb46-2" aria-hidden="true" tabindex="-1"></a>m_1 <span class="ot">&lt;-</span> <span class="fu">ulam</span>(</span>
<span id="cb46-3"><a href="generalized-mixed-modelling.html#cb46-3" aria-hidden="true" tabindex="-1"></a>  <span class="fu">alist</span>(</span>
<span id="cb46-4"><a href="generalized-mixed-modelling.html#cb46-4" aria-hidden="true" tabindex="-1"></a>    W <span class="sc">~</span> <span class="fu">dnorm</span>(mu, sigma),</span>
<span id="cb46-5"><a href="generalized-mixed-modelling.html#cb46-5" aria-hidden="true" tabindex="-1"></a>    mu <span class="ot">&lt;-</span> a_W <span class="sc">+</span> b_EW <span class="sc">*</span> E,</span>
<span id="cb46-6"><a href="generalized-mixed-modelling.html#cb46-6" aria-hidden="true" tabindex="-1"></a>    a_W <span class="sc">~</span> <span class="fu">dnorm</span>(<span class="dv">0</span>,<span class="fl">0.2</span>),</span>
<span id="cb46-7"><a href="generalized-mixed-modelling.html#cb46-7" aria-hidden="true" tabindex="-1"></a>    b_EW <span class="sc">~</span> <span class="fu">dnorm</span>(<span class="dv">0</span>, <span class="fl">0.5</span>),</span>
<span id="cb46-8"><a href="generalized-mixed-modelling.html#cb46-8" aria-hidden="true" tabindex="-1"></a>    sigma <span class="sc">~</span> <span class="fu">dexp</span>(<span class="dv">1</span>)</span>
<span id="cb46-9"><a href="generalized-mixed-modelling.html#cb46-9" aria-hidden="true" tabindex="-1"></a>  ), <span class="at">data =</span> dat_sim, <span class="at">chains =</span> <span class="dv">4</span>, <span class="at">cores =</span> <span class="dv">4</span>)</span>
<span id="cb46-10"><a href="generalized-mixed-modelling.html#cb46-10" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb46-11"><a href="generalized-mixed-modelling.html#cb46-11" aria-hidden="true" tabindex="-1"></a><span class="fu">precis</span>(m_1)</span>
<span id="cb46-12"><a href="generalized-mixed-modelling.html#cb46-12" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb46-13"><a href="generalized-mixed-modelling.html#cb46-13" aria-hidden="true" tabindex="-1"></a><span class="co"># mess, you should not condition on the instrumental variable</span></span>
<span id="cb46-14"><a href="generalized-mixed-modelling.html#cb46-14" aria-hidden="true" tabindex="-1"></a>m_2 <span class="ot">&lt;-</span> <span class="fu">ulam</span>(</span>
<span id="cb46-15"><a href="generalized-mixed-modelling.html#cb46-15" aria-hidden="true" tabindex="-1"></a>  <span class="fu">alist</span>(</span>
<span id="cb46-16"><a href="generalized-mixed-modelling.html#cb46-16" aria-hidden="true" tabindex="-1"></a>    W <span class="sc">~</span> <span class="fu">dnorm</span>(mu, sigma),</span>
<span id="cb46-17"><a href="generalized-mixed-modelling.html#cb46-17" aria-hidden="true" tabindex="-1"></a>    mu <span class="ot">&lt;-</span> a_W <span class="sc">+</span> b_EW <span class="sc">*</span> E <span class="sc">+</span> b_QW<span class="sc">*</span>W,</span>
<span id="cb46-18"><a href="generalized-mixed-modelling.html#cb46-18" aria-hidden="true" tabindex="-1"></a>    a_W <span class="sc">~</span> <span class="fu">dnorm</span>(<span class="dv">0</span>,<span class="fl">0.2</span>),</span>
<span id="cb46-19"><a href="generalized-mixed-modelling.html#cb46-19" aria-hidden="true" tabindex="-1"></a>    b_EW <span class="sc">~</span> <span class="fu">dnorm</span>(<span class="dv">0</span>, <span class="fl">0.5</span>),</span>
<span id="cb46-20"><a href="generalized-mixed-modelling.html#cb46-20" aria-hidden="true" tabindex="-1"></a>    b_QW <span class="sc">~</span> <span class="fu">dnorm</span>(<span class="dv">0</span>,<span class="fl">0.5</span>),</span>
<span id="cb46-21"><a href="generalized-mixed-modelling.html#cb46-21" aria-hidden="true" tabindex="-1"></a>    sigma <span class="sc">~</span> <span class="fu">dexp</span>(<span class="dv">1</span>)</span>
<span id="cb46-22"><a href="generalized-mixed-modelling.html#cb46-22" aria-hidden="true" tabindex="-1"></a>  ), <span class="at">data =</span> dat_sim, <span class="at">chains =</span> <span class="dv">4</span>, <span class="at">cores =</span> <span class="dv">4</span>)</span>
<span id="cb46-23"><a href="generalized-mixed-modelling.html#cb46-23" aria-hidden="true" tabindex="-1"></a><span class="co">#precis(m_2)</span></span>
<span id="cb46-24"><a href="generalized-mixed-modelling.html#cb46-24" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb46-25"><a href="generalized-mixed-modelling.html#cb46-25" aria-hidden="true" tabindex="-1"></a><span class="co"># model with random slopes</span></span>
<span id="cb46-26"><a href="generalized-mixed-modelling.html#cb46-26" aria-hidden="true" tabindex="-1"></a>m_3 <span class="ot">&lt;-</span> <span class="fu">ulam</span>(</span>
<span id="cb46-27"><a href="generalized-mixed-modelling.html#cb46-27" aria-hidden="true" tabindex="-1"></a>  <span class="fu">alist</span>(</span>
<span id="cb46-28"><a href="generalized-mixed-modelling.html#cb46-28" aria-hidden="true" tabindex="-1"></a>    <span class="fu">c</span>(W,E) <span class="sc">~</span> <span class="fu">multi_normal</span>(<span class="fu">c</span>(muW, muE), Rho, Sigma),</span>
<span id="cb46-29"><a href="generalized-mixed-modelling.html#cb46-29" aria-hidden="true" tabindex="-1"></a>    muW <span class="ot">&lt;-</span> aW <span class="sc">+</span> bEW<span class="sc">*</span>E,</span>
<span id="cb46-30"><a href="generalized-mixed-modelling.html#cb46-30" aria-hidden="true" tabindex="-1"></a>    muE <span class="ot">&lt;-</span> aE <span class="sc">+</span> bQE<span class="sc">*</span>Q,</span>
<span id="cb46-31"><a href="generalized-mixed-modelling.html#cb46-31" aria-hidden="true" tabindex="-1"></a>    <span class="fu">c</span>(aW,aE) <span class="sc">~</span> <span class="fu">normal</span>(<span class="dv">0</span>,<span class="fl">0.2</span>),</span>
<span id="cb46-32"><a href="generalized-mixed-modelling.html#cb46-32" aria-hidden="true" tabindex="-1"></a>    <span class="fu">c</span>(bEW, bQE) <span class="sc">~</span> <span class="fu">normal</span>(<span class="dv">0</span>,<span class="fl">0.5</span>),</span>
<span id="cb46-33"><a href="generalized-mixed-modelling.html#cb46-33" aria-hidden="true" tabindex="-1"></a>    Rho <span class="sc">~</span> <span class="fu">lkj_corr</span>(<span class="dv">2</span>),</span>
<span id="cb46-34"><a href="generalized-mixed-modelling.html#cb46-34" aria-hidden="true" tabindex="-1"></a>    Sigma <span class="sc">~</span> <span class="fu">exponential</span>(<span class="dv">1</span>)</span>
<span id="cb46-35"><a href="generalized-mixed-modelling.html#cb46-35" aria-hidden="true" tabindex="-1"></a>  ), <span class="at">data =</span> dat_sim, <span class="at">chains =</span> <span class="dv">4</span>, <span class="at">cores =</span> <span class="dv">4</span>)</span>
<span id="cb46-36"><a href="generalized-mixed-modelling.html#cb46-36" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb46-37"><a href="generalized-mixed-modelling.html#cb46-37" aria-hidden="true" tabindex="-1"></a><span class="fu">precis</span>(m_3, <span class="at">depth =</span> <span class="dv">3</span>)</span></code></pre></div>
<div class="sourceCode" id="cb47"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb47-1"><a href="generalized-mixed-modelling.html#cb47-1" aria-hidden="true" tabindex="-1"></a><span class="co">#m_1x &lt;- ulam(m_1, data = dat_sim, chains = 4, cores = 4)</span></span>
<span id="cb47-2"><a href="generalized-mixed-modelling.html#cb47-2" aria-hidden="true" tabindex="-1"></a><span class="co">#m_3x &lt;- ulam(m_3, data = dat_sim, chains = 4, cores = 4)</span></span>
<span id="cb47-3"><a href="generalized-mixed-modelling.html#cb47-3" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb47-4"><a href="generalized-mixed-modelling.html#cb47-4" aria-hidden="true" tabindex="-1"></a><span class="fu">set.seed</span>(<span class="dv">73</span>)</span>
<span id="cb47-5"><a href="generalized-mixed-modelling.html#cb47-5" aria-hidden="true" tabindex="-1"></a>N <span class="ot">&lt;-</span>  <span class="dv">500</span></span>
<span id="cb47-6"><a href="generalized-mixed-modelling.html#cb47-6" aria-hidden="true" tabindex="-1"></a>U_sim <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N)</span>
<span id="cb47-7"><a href="generalized-mixed-modelling.html#cb47-7" aria-hidden="true" tabindex="-1"></a>Q_sim <span class="ot">&lt;-</span> <span class="fu">sample</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">4</span>, <span class="at">size =</span> N, <span class="at">replace =</span> <span class="cn">TRUE</span>)</span>
<span id="cb47-8"><a href="generalized-mixed-modelling.html#cb47-8" aria-hidden="true" tabindex="-1"></a>E_sim <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N, U_sim <span class="sc">+</span> Q_sim)</span>
<span id="cb47-9"><a href="generalized-mixed-modelling.html#cb47-9" aria-hidden="true" tabindex="-1"></a>W_sim  <span class="ot">&lt;-</span> <span class="fu">rnorm</span>(N, <span class="sc">-</span>U_sim <span class="sc">+</span> <span class="fl">0.2</span> <span class="sc">*</span> E_sim)</span>
<span id="cb47-10"><a href="generalized-mixed-modelling.html#cb47-10" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb47-11"><a href="generalized-mixed-modelling.html#cb47-11" aria-hidden="true" tabindex="-1"></a>dat_sim <span class="ot">&lt;-</span> <span class="fu">list</span>(<span class="at">W =</span> <span class="fu">standardize</span>(W_sim),</span>
<span id="cb47-12"><a href="generalized-mixed-modelling.html#cb47-12" aria-hidden="true" tabindex="-1"></a>                <span class="at">E =</span> <span class="fu">standardize</span>(E_sim),</span>
<span id="cb47-13"><a href="generalized-mixed-modelling.html#cb47-13" aria-hidden="true" tabindex="-1"></a>                <span class="at">Q =</span> <span class="fu">standardize</span>(Q_sim))</span>
<span id="cb47-14"><a href="generalized-mixed-modelling.html#cb47-14" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb47-15"><a href="generalized-mixed-modelling.html#cb47-15" aria-hidden="true" tabindex="-1"></a>m_1x <span class="ot">&lt;-</span> <span class="fu">ulam</span>(m_1, <span class="at">data =</span> dat_sim, <span class="at">chains =</span> <span class="dv">4</span>, <span class="at">cores =</span> <span class="dv">4</span>)</span>
<span id="cb47-16"><a href="generalized-mixed-modelling.html#cb47-16" aria-hidden="true" tabindex="-1"></a>m_3x <span class="ot">&lt;-</span> <span class="fu">ulam</span>(m_3, <span class="at">data =</span> dat_sim, <span class="at">chains =</span> <span class="dv">4</span>, <span class="at">cores =</span> <span class="dv">4</span>)</span>
<span id="cb47-17"><a href="generalized-mixed-modelling.html#cb47-17" aria-hidden="true" tabindex="-1"></a><span class="fu">precis</span>(m_3x, <span class="at">depth =</span> <span class="dv">3</span>)</span></code></pre></div>
<p>There is actually a way to identify instrumental variable using dagitty</p>
<div class="sourceCode" id="cb48"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb48-1"><a href="generalized-mixed-modelling.html#cb48-1" aria-hidden="true" tabindex="-1"></a>dag_IV <span class="ot">&lt;-</span> (<span class="st">&quot;dag{Q -&gt; E &lt;- U -&gt; W &lt;- E}&quot;</span>)</span>
<span id="cb48-2"><a href="generalized-mixed-modelling.html#cb48-2" aria-hidden="true" tabindex="-1"></a><span class="fu">instrumentalVariables</span>(dag_IV, <span class="at">exposure =</span> <span class="st">&quot;E&quot;</span>, <span class="at">outcome =</span> <span class="st">&quot;W&quot;</span>)</span></code></pre></div>
<pre><code>##  Q</code></pre>
</div>
<div id="frontdoor-criterion" class="section level4 hasAnchor" number="6.1.1.4">
<h4><span class="header-section-number">6.1.1.4</span> Frontdoor criterion<a href="generalized-mixed-modelling.html#frontdoor-criterion" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>In case needed..</p>

</div>
</div>
</div>
</div>
            </section>

          </div>
        </div>
      </div>
<a href="symptom-clustering.html" class="navigation navigation-prev " aria-label="Previous page"><i class="fa fa-angle-left"></i></a>
<a href="simulating-and-fitting-models.html" class="navigation navigation-next " aria-label="Next page"><i class="fa fa-angle-right"></i></a>
    </div>
  </div>
<script src="libs/gitbook-2.6.7/js/app.min.js"></script>
<script src="libs/gitbook-2.6.7/js/clipboard.min.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-search.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-sharing.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-fontsettings.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-bookdown.js"></script>
<script src="libs/gitbook-2.6.7/js/jquery.highlight.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-clipboard.js"></script>
<script>
gitbook.require(["gitbook"], function(gitbook) {
gitbook.start({
"sharing": {
"github": false,
"facebook": true,
"twitter": true,
"linkedin": false,
"weibo": false,
"instapaper": false,
"vk": false,
"whatsapp": false,
"all": ["facebook", "twitter", "linkedin", "weibo", "instapaper"]
},
"fontsettings": {
"theme": "white",
"family": "sans",
"size": 2
},
"edit": {
"link": "https://github.com/USERNAME/REPO/edit/BRANCH/code/05-mixed_modelling.Rmd",
"text": "Edit"
},
"history": {
"link": null,
"text": null
},
"view": {
"link": null,
"text": null
},
"download": ["Demographics_and_Psychometrics.pdf", "Demographics_and_Psychometrics.epub"],
"search": {
"engine": "fuse",
"options": null
},
"toc": {
"collapse": "subsection"
}
});
});
</script>

<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    var src = "true";
    if (src === "" || src === "true") src = "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/latest.js?config=TeX-MML-AM_CHTML";
    if (location.protocol !== "file:")
      if (/^https?:/.test(src))
        src = src.replace(/^https?:/, '');
    script.src = src;
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>
</body>

</html>
